SELECT
    ac.channel,
    COALESCE(SUM(bpr.point_num), 0) AS total_points
FROM
    (SELECT 'index' AS channel UNION all
     SELECT 'mall' UNION ALL
     SELECT 'link_share' UNION ALL
     SELECT 'api' UNION ALL
     SELECT 'preview' UNION ALL
     SELECT 'multi_preview') AS ac
LEFT JOIN biz_data_analyze_point_record bpr
    ON ac.channel = bpr.channel 
    and YEAR(bpr.datetime) = YEAR(CURRENT_DATE) and MONTH(bpr.datetime) = MONTH(CURRENT_DATE)
    << AND relation_id = :relationId >>
where 1=1
    << AND ac.channel in (:channels) >>
GROUP BY
    ac.channel